> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Amazon Product

> Fetches full Amazon product details by ASIN: title, brand, price, images, rating, features, and seller.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-amazon-product
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Data Sources
    description: >-
      Focused provider lookups for LinkedIn, email, phone, company, and Amazon
      data.
paths:
  /functions/v1/run-amazon-product:
    post:
      tags:
        - Data Sources
      summary: Run Amazon Product
      description: >-
        Fetches full Amazon product details by ASIN: title, brand, price,
        images, rating, features, and seller.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - asin
              properties:
                asin:
                  type: string
                domain:
                  type: string
            example:
              asin: B004YAVF8I
              domain: amazon.com
      responses:
        '200':
          description: Lookup completed.
          content:
            application/json:
              example:
                session_id: dddddddd-dddd-dddd-dddd-dddddddddddd
                kind: amazon_product
                asin: B004YAVF8I
                domain: amazon.com
                human: >-
                  # Amazon product


                  - **ASIN:** B004YAVF8I

                  - **Domain:** amazon.com

                  - **Page weight:** 1.80 MB

                  - **Title:** Logitech M185 Compact Ambidextrous 2.4 GHz
                  Wireless Mouse - Swift Grey

                  - **Brand:** Logitech

                  - **Price:** $13.97

                  - **Rating:** 4.4 (44844 reviews)

                  - **Availability:** In Stock
                machine:
                  product:
                    id: B004YAVF8I
                    title: >-
                      Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse
                      - Swift Grey
                    brand: Logitech
                    byline: Visit the Logitech Store
                    price: 13.97
                    currency: $
                    list_price: 17.99
                    image: >-
                      https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg
                    images:
                      - >-
                        https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg
                    rating: 4.4
                    review_count: 44844
                    availability: In Stock
                    is_in_stock: true
                    features:
                      - Ambidextrous mouse with 2.4 GHz USB-A Nano Receiver
                      - 12-Months Battery Life
                    details:
                      Brand: Logitech
                      Connectivity Technology: Wireless
                    breadcrumbs:
                      - Electronics
                      - Computers & Accessories
                      - Mice
                    category: Mice
                    seller:
                      id: null
                      name: Amazon.com
                    ships_from: Amazon.com
                    sold_by: Amazon.com
                    variations: []
                  page_weight_bytes: 1887432
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````